/*导游接口*/
import request from '@/utils/request'


// 新增
export function add(data) {
  return request({
    url: '/liandao/tour/guide/info/add',
    method: 'post',
    data: data
  })
}

// 修改
export function edit(data) {
  return request({
    url: '/liandao/tour/guide/info/edit',
    method: 'post',
    data: data
  })
}


// 根据id删除
export function remove(id) {
  return request({
    url: '/liandao/tour/guide/info/delete',
    method: 'post',
    data: {id: id}
  })
}

//根据id查询详情
export function detail(id) {
  return request({
    url: '/liandao/tour/guide/info/detail',
    method: 'get',
    params: {id: id}
  })
}

//分页查询
export function page(params) {
  return request({
    url: '/liandao/tour/guide/info/page',
    method: 'get',
    params: params
  })
}


//导游预约分页查询
export function appointmentPage(params) {
  return request({
    url: '/liandao/tour/guide/appointment/page',
    method: 'get',
    params: params
  })
}

// 导游预约新增
export function appointmentAdd(data) {
  return request({
    url: '/liandao/tour/guide/appointment/add',
    method: 'post',
    data: data
  })
}
